import request from '@/utils/request'

// 查询工厂信息列表
export function listBaseFactoryInfo(query) {
  return request({
    url: '/mes/baseFactoryInfo/list',
    method: 'get',
    params: query
  })
}

// 查询工厂信息列表
export function findFactoryList(query) {
  return request({
    url: '/mes/baseFactoryInfo/findFactoryList',
    method: 'get',
    params: query
  })
}

// 查询工厂信息详细
export function getBaseFactoryInfo(factoryId) {
  return request({
    url: '/mes/baseFactoryInfo/' + factoryId,
    method: 'get'
  })
}

// 新增工厂信息
export function addBaseFactoryInfo(data) {
  return request({
    url: '/mes/baseFactoryInfo',
    method: 'post',
    data: data
  })
}

// 修改工厂信息
export function updateBaseFactoryInfo(data) {
  return request({
    url: '/mes/baseFactoryInfo',
    method: 'put',
    data: data
  })
}

// 删除工厂信息
export function delBaseFactoryInfo(factoryId) {
  return request({
    url: '/mes/baseFactoryInfo/' + factoryId,
    method: 'delete'
  })
}
